Bug 224605 - Cannot update avahi using yum
Cannot update avahi using yum
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Bacovsky
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 12:31 EST by Mark
Modified: 2014-01-21 17:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 12:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Page from FedoraForum in which I stated the problem and another user suggested I file a report on BugZilla (67.17 KB, text/html)
2007-01-26 12:31 EST, Mark
no flags Details

  None (edit)
Description Mark 2007-01-26 12:31:40 EST
I cannot upgrade avahi or avahi-glib using yum because of a config 
file/dependency conflict. I can't remove and reinstall it because it requires 
wiping out nearly half the system packages. Take a look what happens when I try 
it two different ways:

--------------------------

$ sudo yum install avahi
Password:
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package avahi.i386 0:0.6.16-2.fc6 set to be updated
---> Package avahi.x86_64 0:0.6.16-2.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: avahi = 0.6.15 for package: avahi-glib
--> Finished Dependency Resolution
Error: Missing Dependency: avahi = 0.6.15 is needed by package avahi-glib
Code:

------------------------

$ sudo yum install avahi-glib
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package avahi-glib.x86_64 0:0.6.16-2.fc6 set to be updated
---> Package avahi-glib.i386 0:0.6.16-2.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: avahi = 0.6.16 for package: avahi-glib
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package avahi.x86_64 0:0.6.16-2.fc6 set to be updated
--> Running transaction check

Dependencies Resolved

==================================================  ===========================
 Package                 Arch       Version          Repository        Size
==================================================  ===========================
Updating:
 avahi-glib              x86_64     0.6.16-2.fc6     updates            14 k
 avahi-glib              i386       0.6.16-2.fc6     updates            14 k
Updating for dependencies:
 avahi                   x86_64     0.6.16-2.fc6     updates           256 k

Transaction Summary
==================================================  ===========================
Install      0 Package(s)
Update       3 Package(s)
Remove       0 Package(s)

Total download size: 283 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:   file /etc/dbus-1/system.d/avahi-dbus.conf from instal
l of avahi-0.6.16-2.fc6 conflicts with file from package avahi-0.6.15-1.fc6
  file /etc/rc.d/init.d/avahi-daemon from install of avahi-0.6.16-2.fc6 conflict
s with file from package avahi-0.6.15-1.fc6
  file /usr/share/man/man8/avahi-dnsconfd.8.gz from install of avahi-0.6.16-2.fc
6 conflicts with file from package avahi-0.6.15-1.fc6

-----------------------------

I am having problems similar to these two threads:
http://lists.atrpms.net/pipermail/a...ary/004423.html (external forum)
http://forums.fedoraforum.org/showthread.php?t=145678 (this forum)

In the former link, they suggest to the person to install smart (which I've 
never heard of). I installed it myself and tried to install avahi. This is what 
happens:

---------------------------

$ sudo smart install avahi
Loading cache...
Updating cache...               ######################################## [100%]

warning: avahi-0.6.15-1.fc6@x86_64 is already installed
Computing transaction...Code:

$ sudo smart install avahi-glib
Loading cache...
Updating cache...               ######################################## [100%]

warning: avahi-glib-0.6.15-1.fc6@x86_64 is already installed
Computing transaction...

-------------------------

A user at forums.fedoraforum.org suggested I state the problem at Bugzilla.
Comment 1 Mark 2007-01-26 12:31:40 EST
Created attachment 146688 [details]
Page from FedoraForum in which I stated the problem and another user suggested I file a report on BugZilla
Comment 2 Martin Bacovsky 2007-04-17 12:01:37 EDT
If you want to just upgrade avahi try yum update avahi instead yum install. 

I can upgrade my avahi on fc6 x86_64 with no problems. 

If this problem still occures or this is not what you wanted to do, feel free to
reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.